oracle.xml.parser.schema

## Class XSDConstrainingFacet

- java.lang.Object
- - oracle.xml.parser.schema.XSDConstrainingFacet

All Implemented Interfaces:
  XSDConstantValues, XSDTypeConstants

    public class XSDConstrainingFacet
    extends java.lang.Object
    implements XSDConstantValues, XSDTypeConstants

This class represents constraining facets for XML Schema simple types.

### Field Summary

### Fields inherited from interface oracle.xml.parser.schema.XSDConstantValues

`_abstract, _all, _annotation, _any, _anyAttribute, _anySimpleType, _anyType, _appinfo, _attrFormDefault, _attribute, _attributeGroup, _attrTag, _base, _block, _blockDefault, _choice, _complexContent, _complexType, _content, _default, _derivedBy, _documentation, _element, _elementOnly, _elemFormDefault, _empty, _enumeration, _equivClass, _extension, _false, _field, _final, _finalDefault, _fixed, _form, _group, _id, _import, _include, _itemType, _key, _keyref, _lax, _list, _maxOccurs, _memberTypes, _minOccurs, _mixed, _nall, _name, _namespace, _nil, _nillable, _nnany, _nnlist, _nnlocal, _nnother, _nntargetNS, _noNSSchemaLocation, _notation, _null, _nullable, _optional, _pattern, _processContents, _prohibited, _publicid, _qualified, _redefine, _ref, _refer, _required, _restriction, _restrictions, _schemaLocation, _selector, _sequence, _simpleContent, _simpleType, _skip, _strict, _substitution, _substitutionGrp, _systemid, _targetNS, _textOnly, _this, _true, _type, _undef, _union, _unique, _unqualified, _use, _value, _version, _xmlns, ABSENT_NS, ACCEPTED, ALL, ANNOTATION, ANY, ANY_ATTRIBUTE, ANY_NODE, ATTRIBUTE, ATTRIBUTE_GROUP, AUTO_VALIDATION, BASE_RESOLVED, BASE_UNRESOLVED, BASE_URL, BUILD_FAIL, CHOICE, CIRCULAR_SUBST, CONFLICIT_FACET, constName, DATATYPE, DEEP_VALIDATION, derivationBlock, DONE, DUPLICATE_DEF, duplicateId, ELEMENT, ELEMENT_CHILD, ELEMENT_ONLY, elemNotNullable, EMPTY, ENTITY_RESOLVER, EQUIV_RESOLVED, EQUIV_UNRESOLVED, ERROR, EXTENTION, FACET_CHILD, FAKE_ATTR, FAKE_NODE, FIXED_SCHEMA, GROUP, IABSTRACT, IBLOCKEXT, IBLOCKRST, IBLOCKSUB, IDENTITY_ERROR, IDENTITY_KEY, IDENTITY_KEYREF, IDENTITY_UNIQUE, IFINALEXT, IFINALLIST, IFINALRST, IFINALUNION, IMPORT, INCLUDE, INCORRECT_ATTR, INCORRECT_ELEM, INFINITY, INTERNAL_ERROR, INVALID_DATE, INVALID_DATETIME, INVALID_DERIVATION, INVALID_FACET, INVALID_FACET_VALUE, INVALID_NOTATION, INVALID_REGEX, INVALID_SCHEMA_NS, INVALID_TIME, INVALID_TYPE_VALUE, invalidAttr, invalidAttrVal, invalidChars, invalidElem, invalidFixedChars, invalidNS, invalidPrefix, invalidProperty, invalidRef, invalidSubstitution, invalidTargetNS, LAX_VALIDATION, MISSING_NS, missingAttr, MIXED, NEW_STATE, NO_CHILD, noDefinition, NOT_DONE, NOTATION, notComplete, notSubstitutable, notSubTypeOf, NS_CONFLICT, NS_DIF_SPECIFIED, NS_NOT_ALLOWED, NS_NOT_EXPECTED, NS_NOT_SAME, NS_RESOLVER, REDEFINE, REF_RESOLVED, REF_UNRESOLVED, RESTRICTION, ROOT_ELEMENT, ROOT_NODE, ROOT_TYPE, SCHEMA_NS, SCHEMA_RESOLVER, SEQ, STRICT_VALIDATION, TEXT_ONLY, TOP_LEVEL, TYPE, TYPE_RESOLVED, TYPE_UNRESOLVED, UNDEF, unexpectedAttr, unexpectedElem, VALIDATION_MODE, VIOLATE_FACET, XSDRECNS, XSDRECTYPENS, XSIRECNS, XSITYPE_ABSENT`

### Fields inherited from interface oracle.xml.parser.schema.XSDTypeConstants

`_atomic, _base64, _collapse, _hex, _preserve, _replace, ANY_SIMPLE, ANY_URI, BASE64_BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATE_TIME, DAYTIME_DURATION, DECIMAL, DOUBLE, DURATION, ENCODING, ENTITIES, ENTITY, ENUMERATION, fDAYTIME, fFINITE, fID, fIDREF, fINTEGER, FLOAT, fNUMERIC, fORDERED, FRACTION_DIGITS, fYEARMONTH, GDAY, GMONTH, GMONTH_DAY, GYEAR, GYEAR_MONTH, HEX_BINARY, iANY_SIMPLE, iANY_URI, iBASE64_BINARY, iBOOLEAN, iBYTE, ID, iDATE, iDATE_TIME, iDAYTIME_DURATION, iDECIMAL, iDOUBLE, IDREF, IDREFS, iDUMMY, iDURATION, iENTITIES, iENTITY, iENUMERATION, iFLOAT, iFRACTION_DIGITS, iGDAY, iGMONTH, iGMONTH_DAY, iGYEAR, iGYEAR_MONTH, iHEX_BINARY, iID, iIDREF, iIDREFS, iINT, iINTEGER, iLANGUAGE, iLENGTH, iLONG, iMAXEXCLUSIVE, iMAXINCLUSIVE, iMAXLENGTH, iMINEXCLUSIVE, iMININCLUSIVE, iMINLENGTH, iN_STRING, iNAME, iNCNAME, iNEGATIVE_INTEGER, iNMTOKEN, iNMTOKENS, iNON_NEGATIVE_INTEGER, iNON_POSITIVE_INTEGER, iNOTATION, INT, INTEGER_STR, iPATTERN, iPOSITIVE_INTEGER, iQNAME, iSHORT, iSTRING, iTIME, iTOKEN, iTOTAL_DIGITS, iUNSIGNED_BYTE, iUNSIGNED_INT, iUNSIGNED_LONG, iUNSIGNED_SHORT, iWHITESPACE, iYEARMONTH_DURATION, LANGUAGE, LENGTH, LONG, MAXEXCLUSIVE, MAXINCLUSIVE, MAXLENGTH, MINEXCLUSIVE, MININCLUSIVE, MINLENGTH, MONTH, N_STRING, NAME, nBUILTIN, NCNAME, NEGATIVE_INTEGER, nFacets, NMTOKEN, NMTOKENS, NON_NEGATIVE_INTEGER, NON_POSITIVE_INTEGER, nPRIMITIVE, PATTERN, PERIOD, POSITIVE_INTEGER, PRECISION, QNAME, RECURRING_DATE, RECURRING_DAY, RECURRING_DURATION, SCALE, sFacets, SHORT, SNOTATION, STRING, sTypes, TIME, TIME_DURATION, TIME_INSTANT, TIME_PERIOD, TOKEN, TOTAL_DIGITS, UNSIGNED_BYTE, UNSIGNED_INT, UNSIGNED_LONG, UNSIGNED_SHORT, UNTYPED_ATOMIC, URI_REFERENCE, WHITESPACE, YEAR, YEARMONTH_DURATION`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `getFacetId()`
`java.util.Vector` `getLexicalEnumeration()`
`java.lang.String` `getLexicalValue()`
`java.lang.String` `getName()`
`boolean` `isFixed(boolean fixed)` Deprecated.
`void` `setFixed(boolean fixed)`
`void` `validateFacet(XSDDataValue value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setFixed

    public void setFixed(boolean fixed)

#### isFixed

    public boolean isFixed(boolean fixed)

Deprecated.

#### getName

    public java.lang.String getName()

#### getLexicalValue

    public java.lang.String getLexicalValue()

#### getFacetId

    public int getFacetId()

#### getLexicalEnumeration

    public java.util.Vector getLexicalEnumeration()

#### validateFacet

    public void validateFacet(XSDDataValue value)
                       throws XSDException

Throws:
  `XSDException`

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.